### Method

# AppStream Branding get_color

since: 0.15.2

#### Declaration [src]

    const gchar*
    as_branding_get_color (
      AsBranding* branding,
      AsColorKind kind,
      AsColorSchemeKind scheme_kind
    )

#### Description [src]

Retrieve a color of the given `kind` that matches `scheme_kind`. If a color has no scheme preference defined, it will be returned for either scheme type, unless a more suitable color was found.

Available since: 0.15.2

#### Parameters

`kind`

  Type: `AsColorKind`

  The `AsColorKind`, e.g. `AS_COLOR_KIND_PRIMARY`.

`scheme_kind`

  Type: `AsColorSchemeKind`

  Color scheme preference for the color, e.g. `AS_COLOR_SCHEME_KIND_LIGHT`.

#### Return value

Type: `const gchar*`

The HTML color code of the found color, or `NULL` if no color was found.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.